Please disregard the 'View article...' shown at the bottom of many posts as this is the result of restoring old forum posts from a backup.

v2.4.2patch4 released to fix new users unable to create an account

edited March 16 in Announcements
This patch addresses an error introduced in Exponent CMS v2.4.1patch6 which prevented new users being able to create a new account. It also enhances ecommerce interaction with huge data tables. We strongly encourage all Exponent installations be upgraded to v2.4.2 with this patch as soon as practical! Patch #4 to v2.4.2 is found at

v242patch4 adds these features to v242 and previous patches:
- allow optional custom import/export methods
- adds # child products to the manage products view
- adds view customer to the manage users view if ecom is on

v242patch4 fixes these issues in v242 and previous patches:
- fix to get the bs3 view order invoice map to display correctly (instead of gray)
- regression fix users unable to create their own account
- regression fix (v242p2) some search issues
- better large ecom database optional support (orders, products, & users)
  - still lacks group membership & permissions support
  - removes tabletools & responsive support (at least temporarily)

v242patch4 updates these 3rd party libraries in v242 and previous patches:
- TinyMCE to v4.7.6
- Adminer database manager to v4.6.1
- jQuery to v3.3.1
- SwiftMailer to v5.4.9 (though we still also ship v6.0.2 for php 7.x)
- scssphp to v0.7.5
- elFinder to v2.1.32
- DataTables to v1.10.16
- jquery datetimepicker to v2.5.18
- phpxmlrpc to v 4.3.1
- normalize.css to v8.0.0
Sign In or Register to comment.